[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# CtrlZMarksEOF

Determine whether CTRL-Z marks the end of file.

## Declaration

Source position: sysunixh.inc line 54

`const CtrlZMarksEOF: Boolean = False;`

## Description

CtrlZMarksEOF indicates whether on this system, an CTRL-Z character (ordinal 26) in a file marks the end of the file. This is False on most systems apart from DOS and Windows.

To get DOS/Windows-compatible behaviour, this constant can be set to True

## See also

LineEnding |  | Constant describing the current line ending character.
SetTextLineEnding |  | Set the end-of-line character for the given text file.